# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global barename rainbowsocks

Name:               nodejs-rainbowsocks
Version:            0.1.2
Release:            2%{?dist}
Summary:            SOCKS4a proxy client

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/rainbowsocks
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

BuildRequires:      npm(debug)
Requires:           npm(debug)

%description
SOCKS4a client developed with rainbows.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep debug ~x

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/rainbowsocks
cp -pr package.json test.js index.js \
    %{buildroot}%{nodejs_sitelib}/rainbowsocks

%nodejs_symlink_deps


%files
%doc README.md
%{nodejs_sitelib}/rainbowsocks/

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 0.1.2-1
- Initial packaging for Fedora.
